%global momorel 2

Name:           perl-Text-Markdown
Version:        1.0.24
Release:        %{momorel}m%{?dist}
Summary:        Convert Markdown syntax to (X)HTML
License:        Modified BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-Markdown/
Source0:        http://www.cpan.org/modules/by-module/Text/Text-Markdown-%{version}.tar.gz
NoSource:       0
Patch0:         Text-Markdown-1.0.23-no-script.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.0
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Slurp
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple >= 0.42
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read / easy-to-
write structured text format into HTML. Markdown's text format is most
similar to that of plain text email, and supports features such as headers,
*emphasis*, code blocks, blockquotes, and links.

%prep
%setup -q -n Text-Markdown-%{version}
%patch0 -p1 -b .no-script~

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes License.text README Readme.text Todo
%{perl_vendorlib}/Text/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.24-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.24-1m)
- update to 1.0.24

* Wed Jan 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.23-2m)
- Specfile autogenerated by cpanspec 1.77 for Momonga Linux.
- update Patch0 for fuzz=0
- License: Modified BSD

* Fri Nov  7 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.23-1m)
- update to 1.0.23

* Sun Oct 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.22-1m)
- update to 1.0.22

* Fri Jul 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.21-1m)
- update to 1.0.21

* Sat Jul 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.20-1m)
- update to 1.0.20

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.19-1m)
- update to 1.0.19

* Tue Apr 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.18-1m)
- update to 1.0.18

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.17-3m)
- rebuild against gcc43

* Sat Mar 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.17-2m)
- add Patch0

* Sat Mar 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.17-1m)
- update to 1.0.17

* Tue Feb 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.16-1m)
- update to 1.0.16

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.3-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-1m)
- spec file was autogenerated
